<?php

//avia pages holds the data necessary for backend page creation
$boxes = array( 
	array( 'title' =>  'Feature Headings', 'id'=>'headings', 'page'=>array('post','page','portfolio'), 'context'=>'normal', 'priority'=>'high' ),
	array( 'title' =>  'Slideshow Options', 'id'=>'slideshow_meta', 'page'=>array('post','page','portfolio'), 'context'=>'normal', 'priority'=>'high' ),
	array( 'title' =>  'Add featured media', 'id'=>'slideshow' , 'page'=>array('post','page','portfolio'), 'context'=>'normal', 'priority'=>'high' ),
	array( 'title' =>  'Dynamic Templates', 'id'=>'dynamic_templates' , 'page'=>array('post','page','portfolio'), 'context'=>'side', 'priority'=>'low' )
					 
);


$elements = array(

	array(	
		"name" 	=> "Heading Style",
		"desc" 	=> "When viewing this entry, how should the headings be displayed?",
		"id" 	=> "heading_style",
		"type" 	=> "select",
		"std" 	=> "default",
		"slug"  => "headings",
		"no_first"=>true,
		"subtype" => array('default'=>'default','special headings (centered)'=>'special','special headings (left aligned)'=>'special left')),
		
		
	array(	"name" 	=> "Subheading",
		"slug"  => "headings",
		"desc" 	=> "Will be displayed as italic subheading (Second Row, Grey)",
		"id" 	=> "subheading",
		"required" => array('heading_style','{contains}special'),
		"type" 	=> "text" ),
		
	array(	"name" 	=> "Teaser text",
		"slug"  => "headings",
		"desc" 	=> "Will be displayed as additional text block (Third Row, colored)",
		"id" 	=> "teaser_text",
		"required" => array('heading_style','{contains}special'),
		"type" 	=> "textarea" ),
		

	array(	
		"name" 	=> "Dynamic Template",
		"desc" 	=> "Select a dynamic template for this entry. If you haven't created one yet you can do so at <a href='admin.php?page=templates'>the Template Builder</a>",
		"id" 	=> "dynamic_templates",
		"type" 	=> "select",
		"std" 	=> "",
		"slug"  => "dynamic_templates",
		"subtype" => avia_backend_get_dynamic_templates()),	

	array(	
		"name" 	=> "Autorotation active?",
		"desc" 	=> "Check if the slideshow should rotate by default",
		"id" 	=> "_slideshow_autoplay",
		"type" 	=> "select",
		"std" 	=> "false",
		"slug"  => "slideshow_meta",
		"subtype" => array('yes'=>'true','no'=>'false')),	
			
	array(	
		"name" 	=> "Duration each image gets displayed",
		"desc" 	=> "Each image will be shown X seconds, where X is the number you choose at the dropdown menu",
		"id" 	=> "_slideshow_duration",
		"type" 	=> "select",
		"std" 	=> "5",
		"slug"  => "slideshow_meta",
		"required" => array('_slideshow_autoplay','true'),
		"subtype" => 
		array('1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10','15'=>'15','20'=>'20','30'=>'30','40'=>'40','60'=>'60','100'=>'100')),

	array(	
		"name" 	=> "Image slideshow?",
		"desc" 	=> "How to display the featured images bellow on a single post or page?",
		"id" 	=> "_slideshow_type",
		"type" 	=> "select",
		"std" 	=> "small_caption",
		"slug"  => "slideshow_meta",
		"subtype" => array('Default small'=>'aviaslider','Fullsize Aviaslider'=>'aviaslider_full','Fullsize Aviaslider with Thumbnails'=>'aviaslider_full aviaslider_full_thumbnails','Fullsize Ken Burns Slider'=>'ken_burns', 'Fullsize Ken Burns Slider with Thumbnails'=>'ken_burns ken_burns_thumbnails', 'Gallery Slider with Thumbnails'=>'ken_burns ken_burns_gallery ken_burns_thumbnails')),
	
	
	array(	"slug"	=> "slideshow_meta", "type" => "visual_group_start", "id" => "visual_group_meta_description", "nodescription" => true, 'class'=>'avia_meta_description', "required" => array('_slideshow_type','{contains}aviaslider_full') ),
	

	array(	
		"name" 	=> "Slice width",
		"desc" 	=> "",
		"id" 	=> "slice_width",
		"type" 	=> "select",
		"std" 	=> "full",
		"slug"  => "slideshow_meta",
		"subtype" => 
		array('25px'=>'25','50px'=>'50','75px'=>'75','100px'=>'100','125px'=>'125','130px'=>'130','150px'=>'150','200px'=>'200','230px'=>'230', 'full'=>'full')),	
	

	array(	
		"name" 	=> "Slice height",
		"desc" 	=> "",
		"id" 	=> "slice_height",
		"type" 	=> "select",
		"std" 	=> "full",
		"slug"  => "slideshow_meta",
		"subtype" => 
		array('25px'=>'25','50px'=>'50','75px'=>'75','100px'=>'100','125px'=>'125','130px'=>'130','150px'=>'150','200px'=>'200','230px'=>'230', 'full'=>'full')),	
		
		array(	
		"name" 	=> "Transition Type",
		"desc" 	=> "",
		"id" 	=> "transition_type",
		"type" 	=> "select",
		"std" 	=> "fade",
		"slug"  => "slideshow_meta",
		"subtype" => 
		array('Slide'=>'slide','Fade'=>'fade','Drop'=>'drop')),	
		
		 array(	
		"name" 	=> "Movement behaviour of the slides",
		"desc" 	=> "",
		"id" 	=> "direction",
		"type" 	=> "select",
		"std" 	=> "all",
		"slug"  => "slideshow_meta",
		"subtype" => 
		array('diagonal'=>'diagonal','winding'=>'winding','randomized'=>'random','all of those'=>'all')),

		
array(	"slug"	=> "slideshow_meta", "type" => "visual_group_end", "id" => "visual_group_meta_description_end", "nodescription" => true),
		 
		 
		/*Featue Image & slideshow */
		
		array(
			"type" 			=> "group", 
			"id" 			=> "slideshow", 
			"linktext" 		=> "Add another Slide",
			"deletetext" 	=> "Remove Slide",
			"slug"  		=> "slideshow",
			"blank" 		=> true, 
			"nodescription" => true,
			'subelements' 	=> array(	
			
					array(	"name" 	=> "Featured Media",
							"desc" 	=> "Upload an image or video or choose one from the Media Library",
							"id" 	=>  "slideshow_image",
							"type" 	=> "upload",
							"slug"  => "slideshow",
							"subtype" => "advanced",
							"label"	=> "Use Image as featured Image"),
					
					array(	"slug"	=> "slideshow", "type" => "visual_group_start", "id" => "visual_group_meta1_start", "nodescription" => true, 'class'=>'avia_meta_default'),
					
					array(	"slug"	=> "slideshow", "type" => "visual_group_start", "id" => "visual_group_meta2_start", "nodescription" => true, 'class'=>'avia_meta_block avia_wrap'),

							
					array(	"name" 	=> "Caption Title",
							"slug"  => "slideshow",
							"desc" 	=> "Enter a title to display for your welcome message.",
							"id" 	=> "slideshow_caption_title",
							"type" 	=> "text" ),
							
					array(	"name" 	=> "Caption",
							"slug"  => "slideshow",
							"desc" 	=> "Image Caption for this Slide",
				            "id" 	=> "slideshow_caption",
				            "type" 	=> "textarea" ),
				   
				    array(	"name" 	=> "Apply link to the image?",
							"desc" 	=> "",
							"slug"  => "slideshow",
				            "id" 	=> "slideshow_link",
				            "type" 	=> "select",
				            "std" 	=> "self",
				            "subtype" => array('No link'=>'','Lightbox Image'=>'lightbox','Link to this Post'=>'self','Link to Page'=>'page','Link to Category'=>'cat','Link manually'=>'url','Embed Video when image is clicked (Enter the URL to a video file or a service like youtube/vimeo)'=>'video'),
				   
				           ),
				           
					array(	"name" 	=> "",
							"desc" 	=> "",
							"slug"  => "slideshow",
							"id"   	=> "slideshow_link_url",
							"std"  	=> "http://",
							"type" 	=> "text",
							"required" => array('slideshow_link','url') ),
							
					array(	"name" 	=> "",
							"desc" 	=> "Enter the URL to a video file or a service like youtube/vimeo",
							"slug"  => "slideshow",
							"id"   	=> "slideshow_link_video",
							"std"  	=> "http://",
							"type" 	=> "text",
							"required" => array('slideshow_link','video') ),
							
							
					array(	"name" 	=> "",
							"desc" 	=> "",
							"slug"  => "slideshow",
				            "id" 	=> "slideshow_link_page",
				            "type" 	=> "select",
				            "subtype" => "page",
				            "required" => array('slideshow_link','page') ),
				            
				    array(	"name" 	=> "",
							"desc" 	=> "",
							"slug"  => "slideshow",
				            "id" 	=> "slideshow_link_cat",
				            "type" 	=> "select",
				            "subtype" => "cat",
				            "required" => array('slideshow_link','cat') ),
						       
				           
				   array(	"slug"	=> "slideshow", "type" => "visual_group_end", "id" => "visual_group_meta1_end", "nodescription" => true, ),
				   
				   /*
array(	"slug"	=> "slideshow", "type" => "visual_group_start", "id" => "visual_group_meta4_start", "nodescription" => true, 'class'=>'avia_meta_block avia_wrap', "required" => array('_slideshow_type','{contains}aviaslider_full') ),
				  
							
				   array(	"slug"	=> "slideshow", "type" => "visual_group_end", "id" => "visual_group_meta4_end", "nodescription" => true),
*/
							
					
				   array(	"slug"	=> "slideshow", "type" => "visual_group_start", "id" => "visual_group_meta3_start", "nodescription" => true, 'class'=>'avia_meta_block avia_wrap', "required" => array('_slideshow_type','{contains}burns') ),
				           
				    array(	
							"name" 	=> "Starting Point",
							"desc" 	=> "",
							"id" 	=> "kb_start",
							"type" 	=> "select",
							"std" 	=> "topleft",
							"slug"  => "slideshow",
							"subtype" => 
							array('Top left'=>'topleft','Top right'=>'topright', 'Top center'=>'topcenter', 'Bottom left'=>'bottomleft','Bottom right'=>'bottomright','Bottom center'=>'bottomcenter','Center left'=>'centerleft','Center right'=>'centerright','Center vertically and horizontally'=>'centered')),    
							
							        
				    array(	
							"name" 	=> "Ending Point",
							"desc" 	=> "",
							"id" 	=> "kb_end",
							"type" 	=> "select",
							"std" 	=> "bottomright",
							"slug"  => "slideshow",
							"subtype" => 
							array('Top left'=>'topleft','Top right'=>'topright', 'Top center'=>'topcenter', 'Bottom left'=>'bottomleft','Bottom right'=>'bottomright','Bottom center'=>'bottomcenter','Center left'=>'centerleft','Center right'=>'centerright','Center vertically and horizontally'=>'centered')),       
							
										
					array(	
							"name" 	=> "Starting Size ",
							"desc" 	=> "",
							"id" 	=> "kb_starting_size",
							"type" 	=> "select",
							"std" 	=> "90",
							"slug"  => "slideshow",
							"subtype" => 
							array('50%'=>'50','60%'=>'60', '70%'=>'70', '80%'=>'80', '90%'=>'90', '100%'=>'100')),  					      
					
					array(	
							"name" 	=> "Ending Size",
							"desc" 	=> "",
							"id" 	=> "kb_ending_size",
							"type" 	=> "select",
							"std" 	=> "100",
							"slug"  => "slideshow",
							"subtype" => 
							array('50%'=>'50','60%'=>'60', '70%'=>'70', '80%'=>'80', '90%'=>'90', '100%'=>'100')), 	
							
					array(	
							"name" 	=> "",
							"desc" 	=> "<small>(if you choose a size that would make the image smaller than the slideshow area it will be scaled to fit)</small>",
							"id" 	=> "adsfadsfasdf",
							"type" 	=> "heading",
							"slug"  => "slideshow"), 	
							
							
				   array(	"slug"	=> "slideshow", "type" => "visual_group_end", "id" => "visual_group_meta2_end", "nodescription" => true),
				   array(	"slug"	=> "slideshow", "type" => "visual_group_end", "id" => "visual_group_meta_default_end", "nodescription" => true),
				   
				   )
				   
			)

);

